{* :Admin:Restaurace:Menu:Seznam:default *}
{block content}
{*============================== BREADCRUMB ==============================*}
<section class="border-bottom" id="breadcrumb">
    <nav class="p-3 bg-light">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
            <li class="breadcrumb-item active"><i class="fa-solid fa-utensils me-1"></i>Restaurace</li>
            <li class="breadcrumb-item active" n:block="title">Restaurační menu</li>
        </ol>
    </nav>
</section>
{*============================== CONTENT ==============================*}
<section class="container-xxl mb-3">
    <h1>Restaurační menu</h1>
    <section class="d-flex justify-content-end">
        {control noveMenu}
    </section>
    {*seznam*}
    {snippet list}
        {*====== TABLE ========*}
        <section>
            <div class="table-responsive">
                <table class="table table-striped table-responsive">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Název</th>
                        <th scope="col" class="text-center">Aktivní</th>
                        <th scope="col">Aktualizováno</th>
                        <th scope="col"></th>
                    </tr>
                    </thead>
                    <tbody>
                    {if (!empty($data))}
                        {foreach $data as $one}
                            <tr>
                                <td>{$one->id}</td>
                                <td>{$one->nazev}</td>
                                <td class="text-center">
                                    {switch $one->active}
                                        {case 1}
                                        <a class="ajax" n:href="changeActive! $one->id">
                                            <i class="fas fa-eye text-success"></i>
                                        </a>
                                    {case 0}
                                        <a class="ajax" n:href="changeActive! $one->id">
                                            <i class="fas fa-eye-slash text-danger"></i>
                                        </a>
                                    {default}
                                        <i class="fas fa-question"></i> {$one->active}
                                    {/switch}
                                </td>
                                <td>{$one->last_update |date:('d.m.Y')}</td>
                                <td class="text-end">
                                    <a n:href=":Admin:Restaurace:Menu:Editace:default $one->id" class="text-primary">
                                        <i class="fa-solid fa-edit me-2"></i>Editovat
                                    </a>
                                </td>
                            </tr>
                        {/foreach}
                    {else}
                        <tr>
                            <td colspan="5" class="text-center">
                                Žádná data k zobrazení
                            </td>
                        </tr>
                    {/if}
                    </tbody>
                </table>
            </div>
        </section>
    {/snippet}
</section>